## org.springframework.mock.web.portlet
Class MockPortletConfig

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletConfig

All Implemented Interfaces:
  PortletConfig

    public class MockPortletConfig

extends Object
implements PortletConfig

Mock implementation of the `PortletConfig` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Constructor Summary
`MockPortletConfig()` Create a new MockPortletConfig with a default `MockPortletContext`.
`MockPortletConfig(PortletContext portletContext)` Create a new MockPortletConfig.
`MockPortletConfig(PortletContext portletContext, String portletName)` Create a new MockPortletConfig.
`MockPortletConfig(String portletName)` Create a new MockPortletConfig with a default `MockPortletContext`.

Method Summary
`void` `addContainerRuntimeOption(String key, String value)`
`void` `addContainerRuntimeOption(String key, String[] values)`
`void` `addInitParameter(String name, String value)`
`void` `addProcessingEventQName(QName name)`
`void` `addPublicRenderParameterName(String name)`
`void` `addPublishingEventQName(QName name)`
`void` `addSupportedLocale(Locale locale)`
`Map<String,String[]>` `getContainerRuntimeOptions()`
`String` `getDefaultNamespace()`
`String` `getInitParameter(String name)`
`Enumeration<String>` `getInitParameterNames()`
`PortletContext` `getPortletContext()`
`String` `getPortletName()`
`Enumeration<QName>` `getProcessingEventQNames()`
`Enumeration<String>` `getPublicRenderParameterNames()`
`Enumeration<QName>` `getPublishingEventQNames()`
`ResourceBundle` `getResourceBundle(Locale locale)`
`Enumeration<Locale>` `getSupportedLocales()`
`void` `setDefaultNamespace(String defaultNamespace)`
`void` `setResourceBundle(Locale locale, ResourceBundle resourceBundle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockPortletConfig

    public MockPortletConfig()

  Create a new MockPortletConfig with a default `MockPortletContext`.

### MockPortletConfig

    public MockPortletConfig(String portletName)

  Create a new MockPortletConfig with a default `MockPortletContext`.

  Parameters:
    `portletName` - the name of the portlet

### MockPortletConfig

    public MockPortletConfig(PortletContext portletContext)

  Create a new MockPortletConfig.

  Parameters:
    `portletContext` - the PortletContext that the portlet runs in

### MockPortletConfig

    public MockPortletConfig(PortletContext portletContext,
                             String portletName)

  Create a new MockPortletConfig.

  Parameters:
    `portletContext` - the PortletContext that the portlet runs in
    `portletName` - the name of the portlet

Method Detail

### getPortletName

    public String getPortletName()

  Specified by:
    `getPortletName` in interface `PortletConfig`

### getPortletContext

    public PortletContext getPortletContext()

  Specified by:
    `getPortletContext` in interface `PortletConfig`

### setResourceBundle

    public void setResourceBundle(Locale locale,
                                  ResourceBundle resourceBundle)

### getResourceBundle

    public ResourceBundle getResourceBundle(Locale locale)

  Specified by:
    `getResourceBundle` in interface `PortletConfig`

### addInitParameter

    public void addInitParameter(String name,
                                 String value)

### getInitParameter

    public String getInitParameter(String name)

  Specified by:
    `getInitParameter` in interface `PortletConfig`

### getInitParameterNames

    public Enumeration<String> getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `PortletConfig`

### addPublicRenderParameterName

    public void addPublicRenderParameterName(String name)

### getPublicRenderParameterNames

    public Enumeration<String> getPublicRenderParameterNames()

### setDefaultNamespace

    public void setDefaultNamespace(String defaultNamespace)

### getDefaultNamespace

    public String getDefaultNamespace()

### addPublishingEventQName

    public void addPublishingEventQName(QName name)

### getPublishingEventQNames

    public Enumeration<QName> getPublishingEventQNames()

### addProcessingEventQName

    public void addProcessingEventQName(QName name)

### getProcessingEventQNames

    public Enumeration<QName> getProcessingEventQNames()

### addSupportedLocale

    public void addSupportedLocale(Locale locale)

### getSupportedLocales

    public Enumeration<Locale> getSupportedLocales()

### addContainerRuntimeOption

    public void addContainerRuntimeOption(String key,
                                          String value)

### addContainerRuntimeOption

    public void addContainerRuntimeOption(String key,
                                          String[] values)

### getContainerRuntimeOptions

    public Map<String,String[]> getContainerRuntimeOptions()